ArNetworking: ArServerDeleteFileOnServer Class Reference

- Main Page
- Classes
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArServerDeleteFileOnServer Class Reference

`#include <ArServerFileUtils.h>`

List of all members.

## Detailed Description

Deletes files from the server.

Note:
  Linux only

This class is set up so that a client can get delete files on the robot, this class ONLY deletes files. You should use this class by using ArClientDeleteFileOnServer and NOT by using this classes interface directly, this is because the API is and will remain fairly volatile... if you need more functionality let us know and we'll add it if its reasonable.

## Public Member Functions
void | addPostDeleteCallback (ArFunctor *functor, ArListPos::Pos position=ArListPos::LAST)
| Adds a callback to be called after moving from temp dir to final loc.
void | addPreDeleteCallback (ArFunctor *functor, ArListPos::Pos position=ArListPos::LAST)
| Adds a callback to be called before moving from temp dir to final loc.
| ArServerDeleteFileOnServer (ArServerBase *server, const char *topDir)
| Constructor.
void | deleteFile (ArServerClient *client, ArNetPacket *packet)
| Deletes the file.
const char * | getDeletingFileName (void)
| Gets the filename of the file we're deleting.
void | remPostDeleteCallback (ArFunctor *functor)
| Removes a callback to be called after moving from temp dir to final loc.
void | remPreDeleteCallback (ArFunctor *functor)
| Removes a callback to be called before moving from temp dir to final loc.
virtual | ~ArServerDeleteFileOnServer ()
| Destructor.
## Protected Attributes
char | myBaseDir [2048]
ArFunctor2C< ArServerDeleteFileOnServer, ArServerClient *, ArNetPacket * > | myDeleteFileCB
std::string | myDeletingFileName
std::list< ArFunctor * > | myPostDeleteCallbacks
std::list< ArFunctor * > | myPreDeleteCallbacks
ArServerBase * | myServer

The documentation for this class was generated from the following file:

- ArServerFileUtils.h